// ************************************************************************************************************
// Author: Marcin Załęczny
// Release Date: 2010-11-08
// Licence: The GNU Lesser General Public License, version 3.0 (LGPLv3)
// ************************************************************************************************************
#ifndef __MZSTDXPS_XPS_FIXED_DOCUMENT_H__
#define __MZSTDXPS_XPS_FIXED_DOCUMENT_H__

#include "mzstdxpsCommon.h"
#include "mzObject.h"
#include "mzString.h"
#include "mzArrayList.h"

#include "mzXmlDocument.h"
#include "mzXmlNode.h"

class DECLSPEC_MZSTDXPS CXpsFixedDocument : public CXmlDocument {
public:
	WINAPI CXpsFixedDocument(CString documentRootDir);
	WINAPI CXpsFixedDocument(CString documentRootDir, CString xmlVersion, CString xmlEncoding);
    virtual WINAPI ~CXpsFixedDocument();

    BOOL WINAPI hasPage(LONG pagenum);
    BOOL WINAPI addPageContent(INT pagenum = -1);
    
protected:
    // holds added page numbers
    CArrayList* _pagenums;
    CString _documentRootDir;
    VOID WINAPI _commonInit(CString documentRootDir);
};

#endif
